## step 15.04.2

=== debian/changelog ===
step (4:15.04.2-0ubuntu2) wily; urgency=medium

  * No-change rebuild against libqalculate5v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 11 Aug 2015 15:57:11 +0200

step (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort 
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 22:44:30 +0200

## step 15.07.90

=== debian/changelog ===
step (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 12:34:11 +0100

=== debian/control ===
Source: step
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 1.0.0),
               kdoctools-dev,
               libeigen3-dev (>= 3.2.0-6),
               libglib2.0-dev,
               libgsl0-dev (>= 1.8),
               libkf5config-dev,
               libkf5kdelibs4support-dev,
               libkf5khtml-dev,
               libkf5newstuff-dev,
               libkf5plotting-dev,
               libqalculate-dev (>= 0.9.5),
               libqt5opengl5-dev (>= 5.2.0),
               libqt5svg5-dev (>= 5.2.0),
               libx11-dev,
               pkg-kde-tools (>= 0.12),
               qtdeclarative5-dev (>= 5.2.0)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/step.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/step.git

Package: step
Architecture: any
Section: science
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: interactive physical simulator for KDE
 With Step you can not only learn but feel how physics works. You place some
 bodies on the scene, add some forces such as gravity or springs, then click
 "Simulate" and Step shows you how your scene will evolve according to the
 laws of physics. You can change every property of bodies/forces in your
 experiment (even during simulation) and see how this will change evolution
 of the experiment.
 .
 This package is part of the KDE education module.

## step 15.08.0

=== debian/changelog ===
step (4:15.08.0-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 18:23:03 +0100

## step 15.08.1

=== debian/changelog ===
step (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:47:30 +0100

## step 15.08.2

=== CMakeLists.txt ===
project(step)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
find_package(KF5DocTools)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

include(KDEInstallDirs)
include(ECMAddTests)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(FeatureSummary)

find_package(Qt5 5.2 REQUIRED NO_MODULE COMPONENTS
    Qml
    Quick
    Xml
    Svg
    OpenGL
    PrintSupport
    Test
)

find_package(KF5 REQUIRED COMPONENTS
    KHtml
    Config
    KDELibs4Support
    NewStuff
    Plotting
)
find_package(KF5DocTools REQUIRED)
find_package(Eigen3 3.2.2 REQUIRED)
find_package(GSL)
find_package(Qalculate)

set_package_properties(EIGEN3 PROPERTIES
		       DESCRIPTION "Eigen3"
                       URL "http://eigen.tuxfamily.org"
                       TYPE OPTIONAL
                       PURPOSE "Required to build step")

set_package_properties(QALCULATE PROPERTIES
# 		       REQUIRED_VERSION "0.9.5"
		       DESCRIPTION "Qalculate"
                       URL "http://qalculate.sourceforge.net/"
                       TYPE OPTIONAL
                       PURPOSE "Unit conversion support in Step")

set_package_properties(GSL PROPERTIES
# 		       REQUIRED_VERSION "1.8"
		       DESCRIPTION "GSL"
                       URL "http://eigen.tuxfamily.org"
                       TYPE OPTIONAL
                       PURPOSE "Provides a GSL-powered solver for Step")

set(STEPCORE_WITH_GSL ${GSL_FOUND} CACHE BOOL "Enable GSL-powered features for StepCore")
set(STEPCORE_WITH_QT ON) # CACHE BOOL "Enable QT-powered features for StepCore")
set(STEP_WITH_QALCULATE ${QALCULATE_FOUND} CACHE BOOL "Enable unit conversion support using libqalculate")

# These settings are forced by Eigen2 creating many many warnings without them.
# FIXME: How can we make Eigen behave and not need them?
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-local-typedefs")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-parameter")

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${EIGEN3_INCLUDE_DIR})
add_definitions(-DEIGEN2_SUPPORT_STAGE40_FULL_EIGEN3_STRICTNESS) #TODO port away from Eigen2-compatability mode

add_subdirectory(doc)
add_subdirectory(stepcore)
add_subdirectory(step)
add_subdirectory(autotests)

install(FILES org.kde.step.appdata.xml DESTINATION ${KDE_INSTALL_DATAROOTDIR}/appdata/)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== step/CMakeLists.txt ===
set(step_SRCS
    arrow.cc
    clipboard.cc
    mainwindow.cc
    worldmodel.cc
    worldscene.cc
    worldgraphics.cc
    worldbrowser.cc
    propertiesbrowser.cc
    infobrowser.cc
    undobrowser.cc
    itempalette.cc
    worldfactory.cc
    stepgraphicsitem.cc
    particlegraphics.cc
    polygongraphics.cc
    gasgraphics.cc
    gascreationdialog.cc
    softbodygraphics.cc
    springgraphics.cc
    motorgraphics.cc
    jointgraphics.cc
    toolgraphics.cc
    simulationthread.cc
    unitscalc.cc
    latexformula.cc
    messageframe.cc
    main.cc
    choicesmodel.cc
)

set(step_UIS
    create_gas_particles.ui
    create_softbody_items.ui
    configure_graph.ui
    configure_meter.ui
    configure_controller.ui
    configure_step_general.ui)

set(step_KCFGS
    settings.kcfgc)

if(STEPCORE_WITH_QT)
    add_definitions(-DSTEPCORE_WITH_QT)
endif(STEPCORE_WITH_QT)

if(STEPCORE_WITH_GSL)
    add_definitions(-DSTEPCORE_WITH_GSL)
endif(STEPCORE_WITH_GSL)

if(STEP_WITH_QALCULATE)
    add_definitions(-DSTEP_WITH_QALCULATE)
    add_definitions(-DSTEP_WITH_UNITSCALC)
    add_definitions(${QALCULATE_CFLAGS})
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
    set(qalculate_LIBS ${QALCULATE_LIBRARIES} ${CLN_LIBRARIES})
endif(STEP_WITH_QALCULATE)

ki18n_wrap_ui( step_SRCS ${step_UIS} )
kconfig_add_kcfg_files( step_SRCS ${step_KCFGS} )

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_executable(step ${step_SRCS})

target_link_libraries(step
    stepcore
    KF5::KHtml
    KF5::Plotting
    KF5::NewStuff
    KF5::KDELibs4Support
    Qt5::OpenGL
    ${qalculate_LIBS})

install(TARGETS step ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES step.kcfg DESTINATION  ${KDE_INSTALL_KCFGDIR})
install(FILES stepui.rc DESTINATION  ${KDE_INSTALL_DATADIR}/step)
install(FILES step.knsrc DESTINATION  ${KDE_INSTALL_CONFDIR})
install( PROGRAMS org.kde.step.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

add_subdirectory(icons)
add_subdirectory(data)

=== debian/changelog ===
step (4:15.08.2-0ubuntu2) xenial; urgency=medium

  * Rebuild against new gsl. Update references to libgsl0-dev to libgsl-
    dev.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 10 Nov 2015 15:08:20 +0000

step (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 13:07:52 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                kdoctools-dev,
                libeigen3-dev (>= 3.2.0-6),
                libglib2.0-dev,
-               libgsl0-dev (>= 1.8),
+               libgsl-dev (>= 1.8),
                libkf5config-dev,
                libkf5kdelibs4support-dev,
                libkf5khtml-dev,

## step 15.08.3

=== step/data/examples/CMakeLists.txt ===
FILE(GLOB STEP_EXAMPLE_FILES "*.step")

if(STEP_BUILD_TRANSLATIONS)

    set(po_file ${CMAKE_SOURCE_DIR}/messages/kdeedu/step_example_files.po)
    STEP_PROCESS_XML_TRANSLATION(${CURRENT_LANG} ${po_file}
            "--context='%(tag)s' --tag=name --tag=text --unquote --parse-unquoted='--context=HTML:%(tag)s --tag-regex=^(?:title|body|p|h[1-6])$$ --recursive --strip'"
            ALL INSTALL_DESTINATION ${KDE_INSTALL_DATADIR}/step/examples
            ${STEP_EXAMPLE_FILES})

else(STEP_BUILD_TRANSLATIONS)

    install(FILES 
       ${STEP_EXAMPLE_FILES}
       DESTINATION  ${KDE_INSTALL_DATADIR}/step/examples)

endif(STEP_BUILD_TRANSLATIONS)

=== debian/changelog ===
step (4:15.08.3-1ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable (first time ever..). Remaining Ubuntu changes:
    - Add autopkgtest.
  * Simplify autopkgtest: Eliminate debian/tests/testsuite, and instead just
    call dh_auto_test as Test-Command:. autopkgtest already sets C.UTF-8, so
    no need to set that explicitly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 08 Dec 2015 10:02:18 +0100

step (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    (Closes: #804501)

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:11 +0100

step (4:15.08.0-3) unstable; urgency=medium

  * Rebuild for unstable. (Closes: #803381) Thanks to Chris Lamb for reporting
    the issue.
  * New workaround patch: wa_qt5.5_qvariant_to_string.diff
  * New patch: gravitation_variance.diff

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Oct 2015 18:56:42 +0100

step (4:15.08.0-2) experimental; urgency=medium

  * New patch: eigen3.patch, that removes the eigen2 support (Closes:
    #786351) Thanks to Anton Gladky

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Sep 2015 07:27:30 +0200

step (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * Remove upstream applied patch: replace_eigen2_by_eigen3.patch
  * New upstream release (15.04.3).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 10 Sep 2015 18:28:58 +0200

step (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:25 +0200

step (4:4.14.2-2) unstable; urgency=medium

  * Team upload.
  * Add libsoprano-dev to build-depends since it is no longer pulled in
    transatively

 -- Scott Kitterman <scott@kitterman.com>  Fri, 28 Aug 2015 16:32:42 -0400

=== debian/tests/control ===
Test-Command: dh_auto_test
Depends: @, @builddeps@, build-essential
Restrictions: build-needed

## step 15.12.1

=== debian/changelog ===
step (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merge with debian git master

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:36:53 +0100

step (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:16 +0100

## step 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -68,7 +68,6 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-parameter")
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${EIGEN3_INCLUDE_DIR})
-add_definitions(-DEIGEN2_SUPPORT_STAGE40_FULL_EIGEN3_STRICTNESS) #TODO port away from Eigen2-compatability mode
 
 add_subdirectory(doc)
 add_subdirectory(stepcore)

=== debian/changelog ===
step (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:30:45 -0700

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,26 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.0.0),
+               extra-cmake-modules (>= 1.7.0~),
                kdoctools-dev,
-               libeigen3-dev (>= 3.2.0-6),
+               libeigen3-dev (>= 3.2.2~),
                libglib2.0-dev,
-               libgsl-dev (>= 1.8),
+               libgsl-dev,
                libkf5config-dev,
                libkf5kdelibs4support-dev,
                libkf5khtml-dev,
                libkf5newstuff-dev,
                libkf5plotting-dev,
                libqalculate-dev (>= 0.9.5),
-               libqt5opengl5-dev (>= 5.2.0),
-               libqt5svg5-dev (>= 5.2.0),
+               libqt5opengl5-dev (>= 5.4),
+               libqt5svg5-dev (>= 5.4),
                libx11-dev,
-               pkg-kde-tools (>= 0.12),
-               qtdeclarative5-dev (>= 5.2.0)
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev (>= 5.4),
+               qtdeclarative5-dev (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/step.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/step.git

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/step-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/step-([\d.]+).tar.xz

## step 16.04.3

=== debian/changelog ===
step (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:43:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,27 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
-               kdoctools-dev,
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
                libeigen3-dev (>= 3.2.2~),
                libglib2.0-dev,
                libgsl-dev,
-               libkf5config-dev,
-               libkf5kdelibs4support-dev,
-               libkf5khtml-dev,
-               libkf5newstuff-dev,
-               libkf5plotting-dev,
+               libkf5config-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5khtml-dev (>= 5.24.0~),
+               libkf5newstuff-dev (>= 5.24.0~),
+               libkf5plotting-dev (>= 5.24.0~),
                libqalculate-dev (>= 0.9.5),
-               libqt5opengl5-dev (>= 5.4),
-               libqt5svg5-dev (>= 5.4),
+               libqt5opengl5-dev (>= 5.6.1~),
+               libqt5svg5-dev (>= 5.6.1~),
                libx11-dev,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/step.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/step.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
 
 Package: step
 Architecture: any

## step 16.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,13 @@
 
 include(KDEInstallDirs)
 include(ECMAddTests)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(ECMInstallIcons)
 include(ECMOptionalAddSubdirectory)
 include(ECMSetupVersion)
 include(FeatureSummary)
+include(ECMPoQmTools)
 
 find_package(Qt5 5.2 REQUIRED NO_MODULE COMPONENTS
     Qml
@@ -27,13 +28,13 @@
 )
 
 find_package(KF5 REQUIRED COMPONENTS
+    Crash
     KHtml
     Config
     KDELibs4Support
     NewStuff
     Plotting
 )
-find_package(KF5DocTools REQUIRED)
 find_package(Eigen3 3.2.2 REQUIRED)
 find_package(GSL)
 find_package(Qalculate)
@@ -69,7 +70,11 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${EIGEN3_INCLUDE_DIR})
 
-add_subdirectory(doc)
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+
+if(KF5DocTools_FOUND)
+    ecm_optional_add_subdirectory(doc)
+endif()
 add_subdirectory(stepcore)
 add_subdirectory(step)
 add_subdirectory(autotests)

=== step/data/tutorials/CMakeLists.txt ===
FILE(GLOB STEP_TUTORIALS_FILES "*.step")

if(STEP_BUILD_TRANSLATIONS)

    set(po_file ${CMAKE_SOURCE_DIR}/messages/kdeedu/step_example_files.po)
    STEP_PROCESS_XML_TRANSLATION(${CURRENT_LANG} ${po_file}
            "--context='%(tag)s' --tag=name --tag=text --unquote --parse-unquoted='--context=HTML:%(tag)s --tag-regex=^(?:title|body|p|h[1-6])$$ --recursive --strip'"
            ALL INSTALL_DESTINATION ${KDE_INSTALL_DATADIR}/step/tutorials
            ${STEP_TUTORIALS_FILES})

else(STEP_BUILD_TRANSLATIONS)

    install(FILES 
       ${STEP_TUTORIALS_FILES}
       DESTINATION  ${KDE_INSTALL_DATADIR}/step/tutorials)

endif(STEP_BUILD_TRANSLATIONS)

=== debian/changelog ===
step (4:16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 15:01:37 +0200

step (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Refresh patches

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 02:30:01 +0200

=== debian/control ===
Source: step
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               kdoctools-dev,
               libeigen3-dev (>= 3.2.2~),
               libglib2.0-dev,
               libgsl-dev,
               libkf5config-dev,
               libkf5crash-dev,
               libkf5kdelibs4support-dev,
               libkf5khtml-dev,
               libkf5newstuff-dev,
               libkf5plotting-dev,
               libqalculate-dev (>= 0.9.5),
               libqt5opengl5-dev (>= 5.4),
               libqt5svg5-dev (>= 5.4),
               libx11-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: http://edu.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/step.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/step.git

Package: step
Architecture: any
Section: science
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: interactive physical simulator for KDE
 With Step you can not only learn but feel how physics works. You place some
 bodies on the scene, add some forces such as gravity or springs, then click
 "Simulate" and Step shows you how your scene will evolve according to the
 laws of physics. You can change every property of bodies/forces in your
 experiment (even during simulation) and see how this will change evolution
 of the experiment.
 .
 This package is part of the KDE education module.

## step 16.12.1

=== step/CMakeLists.txt ===
--- 
+++ 
@@ -66,6 +66,7 @@
 
 target_link_libraries(step
     stepcore
+    KF5::Crash
     KF5::KHtml
     KF5::Plotting
     KF5::NewStuff

=== debian/changelog ===
step (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:14:26 +0000

=== debian/control ===
--- 
+++ 
@@ -5,28 +5,27 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
-               kdoctools-dev,
+               extra-cmake-modules (>= 5.28.0~),
                libeigen3-dev (>= 3.2.2~),
                libglib2.0-dev,
                libgsl-dev,
-               libkf5config-dev,
-               libkf5crash-dev,
-               libkf5kdelibs4support-dev,
-               libkf5khtml-dev,
-               libkf5newstuff-dev,
-               libkf5plotting-dev,
+               libkf5config-dev (>= 5.28.0~),
+               libkf5doctools-dev (>= 5.28.0~),
+               libkf5kdelibs4support-dev (>= 5.28.0~),
+               libkf5khtml-dev (>= 5.28.0~),
+               libkf5newstuff-dev (>= 5.28.0~),
+               libkf5plotting-dev (>= 5.28.0~),
                libqalculate-dev (>= 0.9.5),
-               libqt5opengl5-dev (>= 5.4),
-               libqt5svg5-dev (>= 5.4),
+               libqt5opengl5-dev (>= 5.6.1~),
+               libqt5svg5-dev (>= 5.6.1~),
                libx11-dev,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/step.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/step.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
 
 Package: step
 Architecture: any

## step 16.12.3

=== debian/changelog ===
step (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:25:45 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
+               extra-cmake-modules (>= 5.31.0~),
                libeigen3-dev (>= 3.2.2~),
                libglib2.0-dev,
                libgsl-dev,
-               libkf5config-dev (>= 5.28.0~),
-               libkf5doctools-dev (>= 5.28.0~),
-               libkf5kdelibs4support-dev (>= 5.28.0~),
-               libkf5khtml-dev (>= 5.28.0~),
-               libkf5newstuff-dev (>= 5.28.0~),
-               libkf5plotting-dev (>= 5.28.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5khtml-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5plotting-dev (>= 5.31.0~),
                libqalculate-dev (>= 0.9.5),
                libqt5opengl5-dev (>= 5.6.1~),
                libqt5svg5-dev (>= 5.6.1~),

## step 17.04.3

=== debian/changelog ===
step (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Add qttools5-dev-tools to Build-Depends
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:29:41 +0100

## step 17.08.3

=== debian/changelog ===
step (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Remove unused libx11-dev build dependency.
  * Switch qttools5-dev-tools build dependency to qttools5-dev.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 13:13:24 +0100

step (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:44 +0200

step (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:06:44 +0000

step (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:46:26 +0000

step (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:27:47 +0000

step (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:25:39 +0000

step (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:29:59 +0000

step (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:07:32 +0000

step (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:52:21 +0000

step (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:05:53 +0000

step (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:26:52 +0000

step (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:34:19 +0000

step (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:55:20 +0000

step (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:42:01 +0000

step (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:57 +0000

step (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:51:14 +0000

step (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:36:37 +0000

step (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:08:05 +0000

=== debian/control ===
Source: step
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               libeigen3-dev (>= 3.2.2~),
               libglib2.0-dev,
               libgsl-dev,
               libkf5config-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5kdelibs4support-dev,
               libkf5khtml-dev,
               libkf5newstuff-dev,
               libkf5plotting-dev,
               libqalculate-dev (>= 0.9.5),
               libqt5opengl5-dev (>= 5.4),
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qttools5-dev,
Standards-Version: 4.1.1
Homepage: http://edu.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/step.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/step.git

Package: step
Architecture: any
Section: science
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: interactive physical simulator for KDE
 With Step you can not only learn but feel how physics works. You place some
 bodies on the scene, add some forces such as gravity or springs, then click
 "Simulate" and Step shows you how your scene will evolve according to the
 laws of physics. You can change every property of bodies/forces in your
 experiment (even during simulation) and see how this will change evolution
 of the experiment.
 .
 This package is part of the KDE education module.

## step 17.12.2

=== debian/changelog ===
step (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:03:54 +0000

step (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Additional build dependency on qttools5-dev, as
    Qt5LinguistToolsConfig.cmake has moved to this in Qt 5.9.2 packages

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 16:35:57 +0000

step (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:14:23 +0000

## step 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -79,6 +79,13 @@
 add_subdirectory(step)
 add_subdirectory(autotests)
 
-install(FILES org.kde.step.appdata.xml DESTINATION ${KDE_INSTALL_DATAROOTDIR}/appdata/)
+install(FILES org.kde.step.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ecm_install_po_files_as_qm(poqm)
+ki18n_install(po)
+if (KF5DocTools_FOUND)
+ kdoctools_install(po)
+endif()
+include(ECMOptionalAddSubdirectory)
+ecm_optional_add_subdirectory(po)

=== doc/CMakeLists.txt ===
########### install files ###############
#
#kde4_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR step)
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR step)

=== debian/changelog ===
step (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:34:49 +0000

=== debian/control ===
--- 
+++ 
@@ -5,28 +5,29 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
+               extra-cmake-modules (>= 5.31.0~),
                libeigen3-dev (>= 3.2.2~),
                libglib2.0-dev,
                libgsl-dev,
-               libkf5config-dev,
-               libkf5crash-dev,
-               libkf5doctools-dev,
-               libkf5kdelibs4support-dev,
-               libkf5khtml-dev,
-               libkf5newstuff-dev,
-               libkf5plotting-dev,
+               libkf5config-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5khtml-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5plotting-dev (>= 5.31.0~),
                libqalculate-dev (>= 0.9.5),
-               libqt5opengl5-dev (>= 5.4),
-               libqt5svg5-dev (>= 5.4),
+               libqt5opengl5-dev (>= 5.6.1~),
+               libqt5svg5-dev (>= 5.6.1~),
+               libx11-dev,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
                qttools5-dev,
-Standards-Version: 4.1.1
+               qttools5-dev-tools
+Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/step.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/step.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
 
 Package: step
 Architecture: any

## step 18.04.3

=== debian/changelog ===
step (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * Build depend on libmpfr-dev
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:24:36 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                libkf5khtml-dev (>= 5.31.0~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5plotting-dev (>= 5.31.0~),
+               libmpfr-dev,
                libqalculate-dev (>= 0.9.5),
                libqt5opengl5-dev (>= 5.6.1~),
                libqt5svg5-dev (>= 5.6.1~),
@@ -23,7 +24,7 @@
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
 Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step

## step 18.08.1

=== debian/changelog ===
step (4:18.08.1-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 12:23:57 +0800

step (4:18.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes build with Qt >= 5.11 (Closes: #907162)
  * Switch Vcs-* fields to salsa.debian.org.
  * Remove the qtdeclarative5-dev build dependency, no more needed.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Use https for Format in copyright.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Add a Build-Conflicts for libeigen3-dev < 3.3.5-2, because of #908336.

 -- Pino Toscano <pino@debian.org>  Mon, 17 Sep 2018 07:09:41 +0200

=== debian/control ===
Source: step
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.7.0~),
               libeigen3-dev (>= 3.2.2~),
               libglib2.0-dev,
               libgsl-dev,
               libkf5config-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5kdelibs4support-dev,
               libkf5khtml-dev,
               libkf5newstuff-dev,
               libkf5plotting-dev,
               libqalculate-dev (>= 0.9.5),
               libqt5opengl5-dev (>= 5.4),
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qttools5-dev,
Build-Conflicts: libeigen3-dev (<< 3.3.5-2~)
Standards-Version: 4.2.1
Homepage: http://edu.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/step
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/step.git

Package: step
Architecture: any
Section: science
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: interactive physical simulator for KDE
 With Step you can not only learn but feel how physics works. You place some
 bodies on the scene, add some forces such as gravity or springs, then click
 "Simulate" and Step shows you how your scene will evolve according to the
 laws of physics. You can change every property of bodies/forces in your
 experiment (even during simulation) and see how this will change evolution
 of the experiment.
 .
 This package is part of the KDE education module.

## step 18.08.3

=== debian/changelog ===
step (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Updated build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 16 Dec 2018 20:31:58 +0000

step (4:18.04.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild against latest libqalculate

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 23 Nov 2018 09:22:56 -0500

=== debian/control ===
--- 
+++ 
@@ -5,28 +5,29 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 1.7.0~),
+               extra-cmake-modules (>= 5.31.0~),
                libeigen3-dev (>= 3.2.2~),
                libglib2.0-dev,
                libgsl-dev,
-               libkf5config-dev,
-               libkf5crash-dev,
-               libkf5doctools-dev,
-               libkf5kdelibs4support-dev,
-               libkf5khtml-dev,
-               libkf5newstuff-dev,
-               libkf5plotting-dev,
+               libkf5config-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5khtml-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5plotting-dev (>= 5.31.0~),
+               libmpfr-dev,
                libqalculate-dev (>= 0.9.5),
-               libqt5opengl5-dev (>= 5.4),
-               libqt5svg5-dev (>= 5.4),
+               libqt5opengl5-dev (>= 5.6.1~),
+               libqt5svg5-dev (>= 5.6.1~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
+               qtbase5-dev (>= 5.6.1~),
                qttools5-dev,
+               qttools5-dev-tools,
 Build-Conflicts: libeigen3-dev (<< 3.3.5-2~)
 Standards-Version: 4.2.1
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/step
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/step.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
 
 Package: step
 Architecture: any

## step 18.12.0

=== debian/changelog ===
step (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:54:42 +0000

## step 18.12.1

=== po/CMakeLists.txt ===
add_subdirectory(de/data/step)
add_subdirectory(it/data/step)
ki18n_install_ts_files(nn nn/scripts/step)
add_subdirectory(ru/data/step)
add_subdirectory(uk/data/step)

=== step/CMakeLists.txt ===
--- 
+++ 
@@ -52,8 +52,10 @@
     add_definitions(-DSTEP_WITH_QALCULATE)
     add_definitions(-DSTEP_WITH_UNITSCALC)
     add_definitions(${QALCULATE_CFLAGS})
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
     set(qalculate_LIBS ${QALCULATE_LIBRARIES} ${CLN_LIBRARIES})
+    # To compile with libcln
+    string (REPLACE "-fno-exceptions" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
+    add_definitions (-fexceptions)
 endif(STEP_WITH_QALCULATE)
 
 ki18n_wrap_ui( step_SRCS ${step_UIS} )
@@ -62,21 +64,24 @@
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
+ecm_create_qm_loader(step_SRCS step_qt)
+
 add_executable(step ${step_SRCS})
 
 target_link_libraries(step
     stepcore
     KF5::Crash
+    KF5::IconThemes
     KF5::KHtml
     KF5::Plotting
     KF5::NewStuff
-    KF5::KDELibs4Support
     Qt5::OpenGL
+    Qt5::Widgets
     ${qalculate_LIBS})
 
 install(TARGETS step ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 install(FILES step.kcfg DESTINATION  ${KDE_INSTALL_KCFGDIR})
-install(FILES stepui.rc DESTINATION  ${KDE_INSTALL_DATADIR}/step)
+install(FILES stepui.rc DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/step)
 install(FILES step.knsrc DESTINATION  ${KDE_INSTALL_CONFDIR})
 install( PROGRAMS org.kde.step.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

=== debian/changelog ===
step (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:16:26 +0000

## step 18.12.2

=== debian/changelog ===
step (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:23:13 +0000

## step 18.12.3

=== debian/changelog ===
step (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:36:14 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev,
                qttools5-dev-tools,
-Build-Conflicts: libeigen3-dev (<< 3.3.5-2~)
 Standards-Version: 4.2.1
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step

## step 19.04.0

=== debian/changelog ===
step (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:50:39 +0100

## step 19.04.1

=== debian/changelog ===
step (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:05:22 +0100

## step 19.04.2

=== debian/changelog ===
step (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:17:47 +0100

## step 19.04.3

=== debian/changelog ===
step (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:21:54 +0100

## step 19.08.1

=== debian/changelog ===
step (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - remove libkf5kdelibs4support-dev
    - add libkf5iconthemes-dev, and shared-mime-info
    - explicitly add gettext

 -- Pino Toscano <pino@debian.org>  Tue, 08 Oct 2019 07:40:37 +0200

## step 19.08.3

=== debian/changelog ===
step (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:40:23 +0000

## step 19.12.0

=== debian/changelog ===
step (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:55:45 +0000

## step 19.12.1

=== step/data/CMakeLists.txt ===
find_package(PythonInterp)
set(EXTRACTXML_EXECUTABLE ${CMAKE_CURRENT_SOURCE_DIR}/extractxml)

if(PYTHON_EXECUTABLE)

    # STEP_PROCESS_XML_TRANSLATION(<lang> <extractxml_args> [ALL] [INSTALL_DESTINATION <dir>] <xml1> <xml2> ...)
    macro(STEP_PROCESS_XML_TRANSLATION _lang _po_file _extractxml_args)
    set(_xmlfiles_tr)
    set(_args ${ARGN})
    set(_addToAll)
    set(_installDest)

    list(GET _args 0 _tmp)
    if("${_tmp}" STREQUAL "ALL")
        set(_addToAll ALL)
        list(REMOVE_AT _args 0)
    endif("${_tmp}" STREQUAL "ALL")

    list(GET _args 0 _tmp)
    if("${_tmp}" STREQUAL "INSTALL_DESTINATION")
        list(GET _args 1 _installDest )
        list(REMOVE_AT _args 0 1)
    endif("${_tmp}" STREQUAL "INSTALL_DESTINATION")

    if(EXISTS ${_po_file})
        get_filename_component(_po_file_we ${_po_file} NAME_WE)
        set(_mo_file ${CMAKE_CURRENT_BINARY_DIR}/${_lang}/${_po_file_we}.mo)
        add_custom_command(OUTPUT ${_mo_file}
        COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_mo_file} ${_po_file}
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
        DEPENDS ${_po_file}
        )

        foreach(_xmlfile ${_args})
        get_filename_component(_xmlfile_basename ${_xmlfile} NAME)
        set(_xmlfile_tr ${CMAKE_CURRENT_BINARY_DIR}/${_lang}/${_xmlfile_basename})
        set(_extractxml_args_copy ${_extractxml_args})
        separate_arguments(_extractxml_args_copy)
        file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${_lang})
        add_custom_command(OUTPUT ${_xmlfile_tr}
            COMMAND ${EXTRACTXML_EXECUTABLE} --translate --mo-file=${_mo_file} --output-dir=${CMAKE_CURRENT_BINARY_DIR}/${_lang} ${_extractxml_args_copy} ${_xmlfile}
            WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
            DEPENDS ${_xmlfile} ${_mo_file}
        )
        if(_installDest)
            install(FILES ${_xmlfile_tr} DESTINATION ${_installDest}/${_lang})
        endif(_installDest)
        list(APPEND _xmlfiles_tr ${_xmlfile_tr})
        endforeach(_xmlfile)

        get_filename_component(DirId ${CMAKE_CURRENT_SOURCE_DIR} NAME)
        add_custom_target(${DirId}_${_po_file_we}_${_lang}_xmlfiles_tr ${_addToAll} DEPENDS ${_xmlfiles_tr})
    endif(EXISTS ${_po_file})
    endmacro(STEP_PROCESS_XML_TRANSLATION)

else(PYTHON_EXECUTABLE)
    message("Python executable NOT found - Step data translations will not be build")
    macro(STEP_PROCESS_XML_TRANSLATION)
    endmacro(STEP_PROCESS_XML_TRANSLATION)
endif(PYTHON_EXECUTABLE)

add_subdirectory(objectinfo)
add_subdirectory(examples)
add_subdirectory(tutorials)

=== debian/changelog ===
step (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:02:08 +0000

## step 19.12.2a

=== debian/changelog ===
step (4:19.12.2a-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:27:41 +0000
